
var Service = function () {

}

Service.prototype.markup = function (resourceUrl, x, y, width, height, trigger, onsuccess) {
    console.log('markup resourceUrl: ' + resourceUrl);
    onsuccess();
};

Service.prototype.markupPdf = function (pdfUrl, manifestUrl, x, y, width, height, trigger, onsuccess) {
    console.log('markupPdf pdfUrl: ' + pdfUrl);
    onsuccess();
};

Service.prototype.focusMarkupWindow = function (onsuccess) {
    console.log('focusMarkupWindow');
    onsuccess();
};

Service.prototype.closeMarkupWindow = function (onsuccess) {
    console.log('closeMarkupWindow');
    onsuccess();
};

Service.prototype.rotateImage = function (resourceUrl, theta, onsuccess) {
    console.log('rotateImage resourceUrl: ' + resourceUrl + ' theta: ' + theta);
    onsuccess();
};

Service.prototype.resizeImage = function (resourceUrl, width, height, onsuccess) {
    console.log('resizeImage resourceUrl: ' + resourceUrl + ' width: ' + width + ' height: ' + height);
    onsuccess();
};

Service.prototype.clearImage = function (resourceUrl, onsuccess) {
    console.log('clearImage resourceUrl: ' + resourceUrl);
    onsuccess();
};

Service.prototype.present = function (noteIds, index, trigger, onsuccess) {
    console.log('present noteIds: [' + noteIds.join(', ') + '] index: ' + index);
    onsuccess();
};

Service.prototype.focusPresentationWindow = function (onsuccess) {
    console.log('focusPresentationWindow');
    onsuccess();
};

Service.prototype.closePresentationWindow = function (onsuccess) {
    console.log('closePresentationWindow');
    onsuccess();
};

Service.prototype.minimizeWindow = function (onsuccess) {
    console.log('minimizeWindow');
    onsuccess();
};

Service.prototype.restoreWindow = function (onsuccess) {
    console.log('restoreWindow');
    onsuccess();
};

Service.prototype.quit = function (onsuccess) {
    console.log('quit');
    onsuccess();
};

exports.Service = Service;